#
# Conditional build:
%bcond_with	qt	# Support for QtSvg based formats (kde,native)
#
Summary:	A collection of card games
Summary(pl.UTF-8):	Kolekcja gier karcianych
Name:		aisleriot
Version:	3.22.27
Release:	1
License:	GPL v3+ and LGPL v3+ and GFDL
Group:		X11/Applications/Games
Source0:	https://gitlab.gnome.org/GNOME/aisleriot/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	f5c52c958d8cd6fe8d59952c414d99e3
URL:		https://wiki.gnome.org/Apps/Aisleriot
%{?with_qt:BuildRequires:	Qt5Svg-devel >= 5.0.0}
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-tools
BuildRequires:	gtk+3-devel >= 3.18.0
BuildRequires:	guile-devel >= 5:2.2
BuildRequires:	itstool
BuildRequires:	libcanberra-gtk3-devel >= 0.26
BuildRequires:	librsvg-devel >= 2.32.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-progs
BuildRequires:	lsb-release
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	rpmbuild(find_lang) >= 1.35
BuildRequires:	rpmbuild(macros) >= 2.000
BuildRequires:	tar >= 1:1.22
BuildRequires:	yelp-tools >= 3.2.0
Requires(post,postun):	glib2 >= 1:2.32.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	cairo >= 1.10.0
Requires:	glib2 >= 1:2.32.0
Requires:	gtk+3 >= 3.18.0
Requires:	guile >= 5:2.2
Requires:	hicolor-icon-theme
Requires:	libcanberra-gtk3 >= 0.26
Requires:	librsvg >= 2.32.0
Provides:	gnome-games-sol = %{version}
Obsoletes:	gnome-games-sol
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aisleriot (also known as Solitaire or sol) is a collection of card
games which are easy to play with the aid of a mouse. The rules for
the games have been coded for your pleasure in the GNOME scripting
language (Scheme).

%description -l pl.UTF-8
Aisleriot (znany także jako Pasjans, Solitaire lub sol) to kolekcja
gier karcianych, łatwych do rozgrywania przy pomocy myszy. Zasady gier
zostały zakodowane w języku skryptowym GNOME (Scheme).

%package -n valgrind-aisleriot
Summary:	Aisleriot support for Valgrind
Summary(pl.UTF-8):	Obsługa Aisleriota dla Valgrinda
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	valgrind

%description -n valgrind-aisleriot
Aisleriot support for Valgrind.

%description -n valgrind-aisleriot -l pl.UTF-8
Obsługa Aisleriota dla Valgrinda.

%prep
%setup -q

%build
%{__meson} build \
	-Dtheme_kde=false \
	%{?with_qt:-Dtheme_svg_qtsvg=true -Dtheme_kde=true -Dtheme_kde_path=%{_datadir}/apps/carddecks} \
	-Dtheme_pysol=true \
	-Dtheme_pysol_path=%{_datadir}/pysol \
	-Dprefix=/usr \
	-Dlibdir=%{_libdir} \
	-Dbuildtype=debugoptimized

cd build
%{ninja_build}

%install
rm -rf $RPM_BUILD_ROOT
cd  build
%{ninja_install}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache HighContrast
%update_icon_cache hicolor
%gconf_schema_install aisleriot.schemas
%glib_compile_schemas

%preun
%gconf_schema_uninstall aisleriot.schemas

%postun
%update_icon_cache HighContrast
%update_icon_cache hicolor
%glib_compile_schemas

%files -f build/%{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_bindir}/sol
%if "%{_libexecdir}" != "%{_libdir}"
%dir %{_libexecdir}/aisleriot
%endif
%attr(755,root,root) %{_libexecdir}/aisleriot/ar-cards-renderer
%dir %{_libdir}/aisleriot
%{_libdir}/aisleriot/guile
%{_datadir}/aisleriot
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_datadir}/metainfo/sol.metainfo.xml
%{_desktopdir}/sol.desktop
%{_iconsdir}/hicolor/*x*/apps/gnome-aisleriot.png
%{_iconsdir}/hicolor/*x*/apps/gnome-freecell.png
%{_iconsdir}/hicolor/symbolic/apps/gnome-aisleriot-symbolic.svg
%{_mandir}/man6/sol.6*

%files -n valgrind-aisleriot
%defattr(644,root,root,755)
%{_libdir}/valgrind/aisleriot.supp
%changelog
* Sat Dec 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aisleriot.git;a=log;h=master

* Sat Dec 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d64361e
- removing obsolete guile patch

* Sat Dec 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e79aeba
- up to 3.22.27

* Sat Oct 22 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8044324
- libdir definition (hoping to fix x32 build)

* Sat Oct 22 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ea55122
- adapterize

* Sat Oct 22 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1d4cfb1
- up to 3.22.26

* Fri Mar 11 2022 Jan Rękorajski <baggins@pld-linux.org> a789ebe
- enable building with guile 3.0, rel 2

* Fri Sep 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 9737403
- updated to 3.22.9

* Sun Mar 10 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> bb4989a
- rel 2; one more dir

* Sat Mar 09 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ffbb2f4
- up to 3.22.7; build with guile 2.2

* Thu May 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 2694145
- updated to 3.22.2

* Thu Dec 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 9aef410
- added qt bcond to enable QtSvg based themes

* Tue Dec 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 52d1bad
- Update to 3.22.1

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 5042c32
- updated to 3.20.2

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> c456271
- Update to 3.20.1

* Sat Mar 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> da86f7d
- Update to 3.20.0

* Tue Nov 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 42788b9
- updated to 3.18.2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 6eec9c1
- updated to 3.18.1

* Tue May 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 92f8de8
- updated to 3.16.2

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 7175ac4
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 78cbcbf
- updated gettext BR

